RTKRCV(1)

NAME
rtkrcv - realtime positioning

SYNOPSIS
rtkrcv [-s][-p port|-d dev][-o file][-t level]

DESCRIPTION
A command line version of the real-time positioning AP by RTKLIB. To start or stop RTK server, to configure options or to print solution/status, login a console and input commands. As default, stdin/stdout are used for the console. Use -p option for network login with telnet protocol. To show the available commands, type ? or help on the console. The initial processing options are loaded from default configuration file rtkrcv.conf. To change the file, use -o option. To configure the processing options, edit the configuration file or use set, load or save command on the console. To shutdown the program, use shutdown command on the console or send the USR2 signal to the process.

OPTIONS

-s  start RTK server on program startup

-p port
    port number for telnet console

-m port
    port number for monitor stream

-d dev
    terminal device for console

-o file
    configuration file

-r level
    output solution status file (0:off,1:states,2:residuals)

-t level
    debug trace level (0:off,1-5:on)

COMMANDS

start
    Start RTK server. No need the command if the program runs with -s option.

stop
    Stop RTK server.

restart
    Restart RTK server. If the processing options are set, execute the command to enable the changes.

solution [cycle]
    Show solutions. Without option, only one solution is shown. With option, the solution is displayed at intervals of cycle (s). To stop cyclic display, send break (ctr-C).

status [cycle]
    Show RTK status. Use option cycle for cyclic display.

satellite [cycle]
    Show satellite status. Use option cycle for cyclic display.

observ [cycle]
    Show observation data. Use option cycle for cyclic display.

navidata [cycle]
    Show navigation data. Use option cycle for cyclic display.

stream [cycle]
    Show stream status. Use option cycle for cyclic display.

error
    Show error/warning messages. To stop messages, send break (ctr-C).

option [opt]
    Show the values of processing options. Without option, all options are displayed. With option, only pattern-matched options are displayed.

set opt [val]
    Set the value of a processing option to val. Without option val, prompt message is shown to input the value. The change of the processing option is not enabled before RTK server is restarted.

load [file]
    Load processing options from file. Without option, default file rtkrcv.conf is used. To enable the changes, restart RTK server.

save [file]
    Save current processing options to file. Without option, default file rtkrcv.conf is used.

log [file|off]
    Record console log to file. To stop recording the log, use option off.

help|? [path]
    Show the command list. With option path, the stream path options are shown.

exit
    Exit and logout console. The status of RTK server is not affected by the command.

shutdown
    Shutdown RTK server and exit the program.

!command [arg...]
    Execute command by the operating system shell. Do not use the interactive command.

NOTES
Short form of a command is allowed. In case of the short form, the command is distinguished according to header characters.